godo.Apps.GetJobInvocation()
Generated on 5 Nov 2026
from godo version
v1.236.0
Usage
client.Apps.GetJobInvocation(ctx context.Context, appID string, jobInvocationId string, opts *godo.GetJobInvocationOptions) (*godo.JobInvocation, *godo.Response, error)Description
GetJobInvocation gets a specific job invocation for a given app.
This method sends a GET request to /v2/apps/{}/job-invocations/{}.
Parameters
appIDstring requiredjobInvocationIdstring requiredopts*godo.GetJobInvocationOptions
Fields of godo.GetJobInvocationOptions
JobNamestring
Returns
- *godo.JobInvocation
- *godo.Response
The HTTP response, with pagination
Links,Meta, andRatelimit information.- error
Non-nil when the request fails. API errors are returned as
*godo.ErrorResponse.
Fields of godo.JobInvocation
JobInvocation struct for JobInvocation
IDstringJobNamestringDeploymentIDstringPhasegodo.JobInvocationPhaseTrigger*godo.JobInvocationTriggerCreatedAttime.TimeStartedAttime.TimeCompletedAttime.Time
Request Sample
Response Example
More Information
See GET /v2/apps/{}/job-invocations/{} in the API reference for additional detail on responses, headers, parameters, and more.
See the Go package documentation for the source of this method.